Get recipe tips (v1)
Returns one page of 12 tips cooks left on a Tasty recipe, newest or most upvoted first, with author, photo and upvotes. An unknown recipe_id returns a total of 0.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
recipe_id*integer
The recipe's numeric id from a search result or the Recipe endpoint.
Range
1 <= value <= 999999999sort?string
newest first (the default) or most upvotes first.
Default
"newest"Value in
- "newest"
- "upvotes"
page?integer
One-based page of 12 tips.
Range
1 <= value <= 10000Default
1curl -X GET "https://example.com/v1/tasty/tips?recipe_id=2932" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "recipe_id": 2932, "sort": "newest", "page": 1, "page_size": 12, "total": 2755, "max_page": 230, "has_more": true, "count": 0, "stop_reason": null, "results": [ { "tip_id": 701397, "text": "For a milder garlic flavor, start with half the listed garlic.", "author": "Andrew User", "author_avatar_url": "string", "photo_url": "string", "upvotes": 3, "updated_at": "2026-11-04T18:26:26Z" } ] }, "details": { "reason": "string", "message": "string" }}